Package net.snowflake.client.core

## Class SFResultSetMetaData

- java.lang.Object
- - net.snowflake.client.core.SFResultSetMetaData

    public class SFResultSetMetaData
    extends Object

Snowflake ResultSetMetaData

### Constructor Summary

Constructors
`SFResultSetMetaData​(int columnCount, List<String> columnNames, List<String> columnTypeNames, List<Integer> columnTypes, SFBaseSession session)`

`SFResultSetMetaData​(List<SnowflakeColumnMetadata> columnMetadata, String queryId, SFBaseSession session, boolean isResultColumnCaseInsensitive, net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter)`

`SFResultSetMetaData​(List<SnowflakeColumnMetadata> columnMetadata, SFBaseSession session, net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCatalogName​(int column)`
`int` `getColumnCount()` Get number of columns
`Integer` `getColumnDisplaySize​(int column)`
`List<FieldMetadata>` `getColumnFields​(int column)`
`int` `getColumnIndex​(String columnName)` Get the index of the column by name
`String` `getColumnLabel​(int column)`
`String` `getColumnName​(int column)`
`List<String>` `getColumnNames()` Get the list of column names
`int` `getColumnType​(int column)`
`String` `getColumnTypeName​(int column)`
`int` `getInternalColumnType​(int column)`
`boolean` `getIsAutoIncrement​(int column)`
`List<Boolean>` `getIsAutoIncrementList()`
`int` `getPrecision​(int column)`
`String` `getQueryId()` get the query id
`int` `getScale​(int column)`
`String` `getSchemaName​(int column)`
`SFBaseSession` `getSession()` get the session
`String` `getTableName​(int column)`
`int` `isNullable​(int column)`
`boolean` `isSigned​(int column)`
`boolean` `isStructuredTypeColumn​(int columnIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFResultSetMetaData

    public SFResultSetMetaData​(int columnCount,
                               List<String> columnNames,
                               List<String> columnTypeNames,
                               List<Integer> columnTypes,
                               SFBaseSession session)

#### SFResultSetMetaData

    public SFResultSetMetaData​(List<SnowflakeColumnMetadata> columnMetadata,
                               SFBaseSession session,
                               net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter,
                               net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter,
                               net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter,
                               net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter,
                               net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter)

#### SFResultSetMetaData

    public SFResultSetMetaData​(List<SnowflakeColumnMetadata> columnMetadata,
                               String queryId,
                               SFBaseSession session,
                               boolean isResultColumnCaseInsensitive,
                               net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter,
                               net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter,
                               net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter,
                               net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter,
                               net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter)

### Method Detail

#### getQueryId

    public String getQueryId()

get the query id

Returns:
  query id

#### getSession

    public SFBaseSession getSession()

get the session

Returns:
  session object

#### getColumnNames

    public List<String> getColumnNames()

Get the list of column names

Returns:
  column names in list

#### getColumnIndex

    public int getColumnIndex​(String columnName)

Get the index of the column by name

Parameters:
  `columnName` - column name
Returns:
  index of the column that names matches the column name

#### getColumnCount

    public int getColumnCount()

Get number of columns

Returns:
  column count

#### getColumnType

    public int getColumnType​(int column)
                      throws SFException

Throws:
  `SFException`

#### getInternalColumnType

    public int getInternalColumnType​(int column)
                              throws SFException

Throws:
  `SFException`

#### getColumnTypeName

    public String getColumnTypeName​(int column)
                             throws SFException

Throws:
  `SFException`

#### getScale

    public int getScale​(int column)

#### getPrecision

    public int getPrecision​(int column)

#### isSigned

    public boolean isSigned​(int column)

#### getColumnLabel

    public String getColumnLabel​(int column)

#### getColumnName

    public String getColumnName​(int column)

#### isNullable

    public int isNullable​(int column)

#### getCatalogName

    public String getCatalogName​(int column)

#### getSchemaName

    public String getSchemaName​(int column)

#### getTableName

    public String getTableName​(int column)

#### getColumnDisplaySize

    public Integer getColumnDisplaySize​(int column)

#### getIsAutoIncrement

    public boolean getIsAutoIncrement​(int column)

#### getIsAutoIncrementList

    public List<Boolean> getIsAutoIncrementList()

#### getColumnFields

    public List<FieldMetadata> getColumnFields​(int column)
                                        throws SFException

Throws:
  `SFException`

#### isStructuredTypeColumn

    public boolean isStructuredTypeColumn​(int columnIndex)